# 贝尔实验室 Spring 官方推荐镜像 JDK下载地址 https://bell-sw.com/pages/downloads/
#FROM bellsoft/liberica-openjdk-rocky:17.0.15-cds
# 使用贝尔实验室的 OpenJDK 21 镜像
FROM bellsoft/liberica-openjdk-rocky:21.0.7-cds

LABEL maintainer="wangkang"

# 创建必要的目录
RUN mkdir -p /emoon/server/logs \
    /emoon/server/temp \
    /emoon/server/downloads \
    /home/gansu/gansu/shetou_picture

WORKDIR /emoon/server

# 设置环境变量
ENV SERVER_PORT=8083 \
    LANG=C.UTF-8 \
    LC_ALL=C.UTF-8 \
    JAVA_OPTS="" \
    FILE_DOWNLOAD_PATH=/home/gansu/gansu/shetou_picture

EXPOSE ${SERVER_PORT}
# 暴露 snail job 客户端端口 用于定时任务调度中心通信
EXPOSE ${SNAIL_PORT}

# 添加应用jar包
ADD ./target/emoon-file-downloader.jar ./app.jar

SHELL ["/bin/bash", "-c"]

# 使用环境变量来配置文件下载路径
ENTRYPOINT java -Djava.security.egd=file:/dev/./urandom \
           -Dserver.port=${SERVER_PORT} \
           -Dfile.download.path=${FILE_DOWNLOAD_PATH} \
           # 应用名称 如果想区分集群节点监控 改成不同的名称即可
           #-Dskywalking.agent.service_name=ruoyi-server \
           #-javaagent:/emoon/skywalking/agent/skywalking-agent.jar \
           -XX:+HeapDumpOnOutOfMemoryError -XX:+UseZGC ${JAVA_OPTS} \
           -jar app.jar
